
Editing pages in Wikked is super easy -- by design.

1. Find the page you want to edit (see [[Navigating]]).
2. Click on the "_Edit_" menu entry in the sidebar.
3. Add or change something in the text editor.
4. Click the "_Save_" button!


## Editing in your Browser

When you edit a page, it's a good idea to follow these simple rules:

- Add a simple description to your changes before hitting the "_Save_" button.
  This will help you sort through changes when you look at page histories.

- Use the "_Preview_" button to check that you didn't make a typo,
  [[Formatting]] mistake, or other simple error. This will help reduce the
  number of "fix up" revisions that could clutter up the history.

- Prefer editing pages while being logged in, or, if you're just running your
  wiki locally, make sure you configured your SCM so that any commits are set to
  be authored by you. This will make sure your wiki history is not full of
  commits with your local IP address.


## Editing in a Text Editor

Wikked stores page data in text files, handled by a source control management
system (SCM). This means you can also simply edit pages in your favourite text
editor, and commit the changes using the SCM's standard commands. Sometimes this
is easier than going through the web interface, especially when you need to make
multiple changes to multiple files, like a "_search and replace_" type of
operation.


## Advanced Features

Advanced editing features are available:

- [[Page Metadata]]: adds information to pages, including categories,
  permissions, and display options.
- [[Page Includes]]: including a page inside another one.
- [[Page Queries]]: listing pages matching a given metadata query.

